Description

In public / javascripts / i18n

Files like datepicker-en-GB.js are not found because file is searched with locale that is lowercase.

These files should be in lower case.

The error :

Started GET "/javascripts/i18n/datepicker-en-gb.js" for 127.0.0.1 at 2019-03-08 17:43:44 +0100

17.43.44.110 09924:   

17.43.44.110 09924: ActionController::RoutingError (No route matches [GET] "/javascripts/i18n/date

picker-en-gb.js"):

17.43.44.110 09924:   

17.43.44.110 09924: actionpack (5.2.2) lib/action_dispatch/middleware/debug_exceptions.rb:65:in `c

all'

17.43.44.110 09924:actionpack (5.2.2) lib/action_dispatch/middleware/show_exceptions.rb:33:in `c

History

#1 - 2019-05-05 14:08 - Marius BĂLTEANU

- File datepicker-en-GB.png added

- Status changed from New to Needs feedback

I cannot reproduce on the current trunk or latest Redmine version (4.0.3), please see:

 datepicker-en-GB.png 

Maybe it is something generated by your plugins, please see an older issue on the same topic (#13412).

#2 - 2019-09-23 22:01 - Jérôme BATAILLE

Hi,

This issue happens in one of my plugins : https://github.com/Smile-SA/redmine_datetime_custom_field/issues/1

To be clear, all the localized versions of this file are lowercase, except for en-GB.

This is the reason it fails just for this language.

If think that anyway, for uniformity sake this file should be lowercase like the others.

Files
